---
updatedAt: 2025-09-14T10:20:20.000Z
---

Fetch the complete documentation index at: https://apidocs.hibob.com/llms.txt. Use this file to discover all available pages before exploring further.

# Search Goal Types

Search for the available Goal Types using filters and pagination parameters. <br>**Note**: Pagination parameters are currently accepted but not enforced. <br><br>
**Testing notes:** <br> - Use the testing widget's **Try It!** option to test this endpoint.<br> - Use the **Examples > Request Example** option to see how to initiate body parameters.<br>


# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Goals API",
    "description": "Public API for managing Goal Types, Goals, and Key Results with clean entity separation.",
    "license": {
      "name": "Proprietary",
      "url": "https://apidocs.hibob.com/docs/api-terms-of-use"
    },
    "contact": {
      "name": "Hi Bob, Inc."
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.hibob.com/v1",
      "description": "Production"
    },
    {
      "url": "https://api.sandbox.hibob.com/v1",
      "description": "Sandbox"
    }
  ],
  "x-readme": {
    "metrics-enabled": false
  },
  "tags": [
    {
      "name": "Goals",
      "description": "Operations for managing Goal Types, Goals, and Key Results"
    }
  ],
  "paths": {
    "/goals/goal-types/search": {
      "post": {
        "operationId": "post_goals-goal-types-search",
        "tags": [
          "Goals"
        ],
        "summary": "Search Goal Types",
        "description": "Search for the available Goal Types using filters and pagination parameters. <br>**Note**: Pagination parameters are currently accepted but not enforced. <br><br>\n**Testing notes:** <br> - Use the testing widget's **Try It!** option to test this endpoint.<br> - Use the **Examples > Request Example** option to see how to initiate body parameters.<br>\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GoalTypeSearchRequest"
              },
              "example": {
                "fields": [
                  "id",
                  "name",
                  "category",
                  "order"
                ],
                "limit": 50
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Goal type object fields.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchResponseGoalsType"
                },
                "example": {
                  "items": [
                    {
                      "objectType": "goalType",
                      "fields": {
                        "id": {
                          "value": 1
                        },
                        "name": {
                          "value": "Performance Goal"
                        },
                        "category": {
                          "value": "Company"
                        },
                        "order": {
                          "value": 1
                        },
                        "hierarchyLevel": {
                          "value": 1
                        }
                      }
                    }
                  ],
                  "responseMetadata": {
                    "totalCount": 2,
                    "pageSize": 50
                  },
                  "nextCursor": null,
                  "errors": null
                }
              }
            }
          },
          "400": {
            "description": "Bad request with structured error response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "message": "Filters are not supported for this endpoint",
                  "statusCode": 400,
                  "timestamp": "2025-01-01T12:00:00Z"
                }
              }
            }
          },
          "429": {
            "description": "Rate limit exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "Basic": []
          },
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ApiErrorResponse": {
        "type": "object",
        "required": [
          "error",
          "message",
          "statusCode",
          "timestamp"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "Error type identifier",
            "enum": [
              "BAD_REQUEST",
              "NOT_FOUND",
              "INTERNAL_SERVER_ERROR",
              "TOO_MANY_REQUESTS",
              "UNAUTHORIZED",
              "FORBIDDEN"
            ],
            "example": "BAD_REQUEST"
          },
          "message": {
            "type": "string",
            "description": "Human-readable error message",
            "example": "Invalid input provided"
          },
          "statusCode": {
            "type": "integer",
            "description": "HTTP status code",
            "enum": [
              400,
              401,
              403,
              404,
              429,
              500
            ],
            "example": 400
          },
          "timestamp": {
            "type": "string",
            "format": "date-time",
            "description": "ISO timestamp when the error occurred",
            "example": "2025-01-01T12:00:00Z"
          }
        }
      },
      "GoalTypeSearchRequest": {
        "type": "object",
        "required": [
          "fields"
        ],
        "properties": {
          "fields": {
            "type": "array",
            "description": "List of fields IDs to include in the response. Use the metadata endpoints to fetch the available fields.\n",
            "items": {
              "type": "string"
            }
          },
          "limit": {
            "type": "integer",
            "description": "Maximum number of results to return (Note: pagination parameters are currently accepted but not enforced).\n"
          },
          "cursor": {
            "type": "string",
            "description": "Cursor for pagination (Note: pagination parameters are currently accepted but not enforced).\n"
          }
        }
      },
      "SearchResponseMetadata": {
        "type": "object",
        "properties": {
          "totalCount": {
            "type": "integer",
            "format": "int64",
            "description": "Total number of items available"
          },
          "pageSize": {
            "type": "integer",
            "description": "Number of items requested per page"
          }
        }
      },
      "SearchResponseGoalsType": {
        "type": "object",
        "properties": {
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/GoalTypeObject"
            },
            "description": "Array of Goal Type items"
          },
          "responseMetadata": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SearchResponseMetadata"
              },
              {
                "description": "Metadata about the search response"
              }
            ]
          },
          "nextCursor": {
            "type": [
              "string",
              "null"
            ],
            "description": "Cursor for next page (null if no more pages)"
          },
          "errors": {
            "type": [
              "object",
              "null"
            ],
            "description": "Error information if any"
          }
        }
      },
      "GoalTypeObject": {
        "type": "object",
        "properties": {
          "objectType": {
            "type": "string",
            "description": "The type of the object",
            "enum": [
              "goalType"
            ]
          },
          "fields": {
            "type": "object",
            "description": "Goal Type fields",
            "properties": {
              "id": {
                "type": "object",
                "description": "The backend id of the goal type. Use this ID for the `typeId` when creating a new goal.\n",
                "properties": {
                  "value": {
                    "type": "integer",
                    "format": "int64"
                  }
                }
              },
              "name": {
                "type": "object",
                "description": "The display name of the goal type",
                "properties": {
                  "value": {
                    "type": "string"
                  }
                }
              },
              "category": {
                "type": "object",
                "description": "The goal type category can be any of: `Company`, `Custom` (linked to a list in Bob) or `Individual`.\n",
                "properties": {
                  "value": {
                    "type": "string",
                    "enum": [
                      "Company",
                      "Custom",
                      "Individual"
                    ]
                  }
                }
              },
              "order": {
                "type": "object",
                "description": "The `order` field governs goal alignment. Company goals are alwyas order:0 and Individual goals always have the highest order. A goal can only be aligned with another goal goal from a lower order.\n",
                "properties": {
                  "value": {
                    "type": "number"
                  }
                }
              },
              "hierarchyLevel": {
                "type": "object",
                "description": "The hierarchy level is relevant only for Custom goal types that are associated with a list in Bob which is a hierarchial list. Ir determines the hierarchy level within the list that this goal type is associated with.\n",
                "properties": {
                  "value": {
                    "type": "number"
                  }
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "Basic": {
        "type": "http",
        "scheme": "basic"
      },
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "OAuth 2.0",
        "description": "OAuth 2.0 authentication using an Access Token is available for registered partners only.  Try It! does not support the full HiBob OAuth flow. You can follow <a href=\"https://apidocs.hibob.com/reference/oauth-20#testing-from-the-public-api-reference\" target=\"_blank\">these steps</a> to complete the OAuth 2.0 flow in Postman and then paste the token here."
      }
    }
  }
}
```